/*
    This file is part of karl-marx.

    karl-marx is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    karl-marx is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with karl-marx.  If not, see <https://www.gnu.org/licenses/>.
 */

package org.congressodeiradicali.karlmarx

import com.redis._

import scala.concurrent.{ExecutionContext, Future}

class RedisAsyncClient(private val host: String, private val port: Int) {

  implicit val ec: ExecutionContext = ExecutionContext.global

  private val redisClient = new RedisClient(host, port)

  def set(key: Any, value: Any) = Future[Unit] {
    redisClient.set(key, value)
  }

  def get(key: Any) = Future[Option[String]] {
    redisClient.get(key)
  }

}
