/*
    This file is part of karl-marx.

    karl-marx is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    karl-marx is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with karl-marx.  If not, see <https://www.gnu.org/licenses/>.
 */

package org.congressodeiradicali.karlmarx.coreplugins

import com.bot4s.telegram.api.declarative.{CommandFilterMagnet, CommandImplicits}
import org.congressodeiradicali.karlmarx.Bot

import scala.concurrent.Future


class EchoPlugin(bot: Bot) extends CorePlugin with CommandImplicits {

  override val name: String = "Echo Plugin"
  override val description: String = "An echoing plugin"

  override val identifier: String = "echo"

  override var commandHandlers: Map[CommandFilterMagnet, CommandHandler] = Map(
    stringToCommandFilter("echo") -> { (_, argv) => Future { Some(argv.drop(1).mkString(" ")) } }
  )
  override var messageHandlers: List[MessageHandler] = List()
}
